> ## Documentation Index
> Fetch the complete documentation index at: https://docs.timelockdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Category Files



## OpenAPI

````yaml GET /evidences/{COMPANY_ID}/category/{CATEGORY_ID}/files
openapi: 3.0.0
info:
  title: TimeLockData API
  description: Public API for evidence management and blockchain traceability
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.timelockdata.com/api/v1
    description: Production
security: []
tags: []
paths:
  /evidences/{COMPANY_ID}/category/{CATEGORY_ID}/files:
    get:
      tags:
        - Evidence Management
      summary: List files for a category
      operationId: DigitalTwinController_getDTFilesForCategory
      parameters:
        - name: COMPANY_ID
          required: true
          in: path
          description: Company identifier
          schema:
            type: string
        - name: CATEGORY_ID
          required: true
          in: path
          description: Category identifier
          schema:
            type: string
      responses:
        '200':
          description: List of files
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetDTFilesResponse'
      security:
        - APIKeyAuth: []
components:
  schemas:
    GetDTFilesResponse:
      type: object
      properties:
        dt:
          description: Files associated with the evidence
          type: array
          items:
            $ref: '#/components/schemas/BlockchainFile'
        category:
          description: Files associated with the category
          type: array
          items:
            $ref: '#/components/schemas/BlockchainFile'
        subcategory:
          description: Files associated with the subcategory
          type: array
          items:
            $ref: '#/components/schemas/BlockchainFile'
    BlockchainFile:
      type: object
      properties:
        name:
          type: string
          description: Name of the file
        title:
          type: string
          description: Title or description of the file
        overlayId:
          type: string
          description: ID of the file in the overlay storage
        iconId:
          type: string
          description: ID of the icon to be displayed for this file
        mimeType:
          type: string
          description: MIME type of the file
        eventId:
          type: number
          description: Event version if the file is connected to an event
      required:
        - name
        - overlayId
        - mimeType
  securitySchemes:
    APIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````